commit:     36ab48dcab1a35e7ee6cb153dfa8edc981e2823f
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 11 08:47:35 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Apr 11 08:47:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36ab48dc

app-emulation/simh: bump up to 3.11.1

Package-Manager: Portage-2.3.98, Repoman-2.3.22
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 app-emulation/simh/Manifest           |  1 +
 app-emulation/simh/simh-3.11.1.ebuild | 61 +++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-emulation/simh/Manifest b/app-emulation/simh/Manifest
index 6a8605a1d35..7be51644a27 100644
--- a/app-emulation/simh/Manifest
+++ b/app-emulation/simh/Manifest
@@ -1 +1,2 @@
+DIST simh-3.11.1.tar.gz 2576391 BLAKE2B 
bebaba75d4264c47202cc0daca2023c03d2e87722798f1ab37c9e3b2cec0b80cd180fccc0077347b2cb5255d26e1ce35f99a908deaf252c1e60e22e0a381e66d
 SHA512 
7c2f81a64d3016b9a44409fc336c804c0da836317745d47594cc48c64cb57dc8f22084d9086e3f86868ec485ee56ac63301f350cee6d275e705b7c5fc82875db
 DIST simhv311-0.zip 2790607 BLAKE2B 
f9399977093f07d7f58067ed40e22f60e43228bbb1e0fdaa6b04408956962d9ea14b6dc57d758b819cee59f3bade9505a6802d42804df49622990402c0f22600
 SHA512 
e5fb6915c050e7402363cd9c1f99feb00874c3693905067ce901ffa86fc29a0cd2648684f111216b09a3c847f75812e2db2e2f2fa9f9d0db5dc932d53ec832fa

diff --git a/app-emulation/simh/simh-3.11.1.ebuild 
b/app-emulation/simh/simh-3.11.1.ebuild
new file mode 100644
index 00000000000..04f83cc758d
--- /dev/null
+++ b/app-emulation/simh/simh-3.11.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MY_PV="$(ver_rs 2 '-')" # 'a.b.c' -> 'a.b-c'
+DESCRIPTION="a simulator for historical computers such as Vax, PDP-11 etc.)"
+HOMEPAGE="http://simh.trailing-edge.com/";
+SRC_URI="https://github.com/simh/simh/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+
+RDEPEND="net-libs/libpcap"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/simh-${MY_PV}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.11.0-respect-FLAGS.patch
+       "${FILESDIR}"/${PN}-3.11.0-fix-mkdir-race.patch
+       "${FILESDIR}"/${PN}-3.11.0-fcommon.patch
+)
+
+src_prepare() {
+       default
+
+       # fix linking on Darwin
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               sed -e 's/-lrt//g' \
+                       -i makefile || die
+       fi
+}
+
+src_compile() {
+       export GCC="$(tc-getCC)"
+       export LDFLAGS_O="${LDFLAGS}"
+       export CFLAGS_O="${CFLAGS}"
+
+       local my_makeopts=""
+       if tc-is-gcc && ver_test $(gcc-version) -lt 4.6 ; then
+               my_makeopts+=" NO_LTO=1"
+       fi
+
+       emake ${my_makeopts}
+}
+
+src_install() {
+       for BINFILE in BIN/* ; do
+               newbin ${BINFILE} "simh-$(basename ${BINFILE})"
+       done
+
+       insinto /usr/share/simh
+       doins VAX/*.bin
+
+       dodoc *.txt */*.txt
+}

Reply via email to